Update voice consent
VoiceConsent audio().voiceConsents().update(VoiceConsentUpdateParamsparams , RequestOptionsrequestOptions = RequestOptions.none() )
POST
/audio/voice_consents/{consent_id}Update voice consent
package com.openai.example;
import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.audio.voiceconsents.VoiceConsent;
import com.openai.models.audio.voiceconsents.VoiceConsentUpdateParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
OpenAIClient client = OpenAIOkHttpClient.fromEnv();
VoiceConsentUpdateParams params = VoiceConsentUpdateParams.builder()
.consentId("consent_id")
.name("name")
.build();
VoiceConsent voiceConsent = client.audio().voiceConsents().update(params);
}
}200 example
{
"id": "cons_1234",
"created_at": 0,
"language": "language",
"name": "name",
"object": "audio.voice_consent"
}Returns Examples
200 example
{
"id": "cons_1234",
"created_at": 0,
"language": "language",
"name": "name",
"object": "audio.voice_consent"
}